.tdpeque {
    width: 10% !important;
    color: white;
    text-align: center;
}

.iconoTabla {
    color: #272b2e;
}

    .iconoTabla:hover {
        /*color: #f09122;*/
        color: #6B1428;
    }

/*.custom-file-input2::-webkit-file-upload-button {
    visibility: hidden;
}*/
.custom-file-input2 {
    display: inline-block;
    /*border-radius: 0.35rem;
    border: solid 0.5px;*/
    font-weight: 400;
    font-size: 1rem;
    cursor: pointer;
}

/*.custom-file-input2::after {
        display: inline-block;
        border-radius: 0.35rem;
        border: solid 0.5px;
        font-weight: 400;
        font-size: 1rem;
        cursor: pointer;
    }

    .custom-file-input2::before {
        content: 'Seleccionar...';
        display: inline-block;
        border-radius: 0.35rem;
        border: solid 0.5px;
        font-weight: 400;
        font-size: 1rem;
        cursor: pointer;
    }
*/

.stepper-label-active {
    /*color: #f09122 !important;*/
    color: #6B1428 !important;
}

.stepper-circle-active {
    /*background-color: #f09122 !important;*/
    background-color: #6B1428 !important;
}

button, input {
    width: 100%;
}

body {
    font-size: xx-small;
}

.informes-card-active {
    background-color: #272b2e !important;
    cursor: pointer;
    cursor: hand;
}

    .informes-card-active .fas {
        color: white !important;
    }


.card {
    cursor: pointer;
    cursor: hand;
}

#parcialmodal.card:not(.cabecera) {
    height: auto !important;
    min-height: 100%;
    overflow: visible;
}

.card:not(.cabecera) .tabla-listado-tareas {
    max-width: 100%;
    overflow: visible;
}

.card:not(.cabecera) .tabla-listado-tareas > .table-responsive {
    width: 100%;
    max-width: 100%;
    overflow-x: auto;
    overflow-y: visible;
    margin-bottom: 0;
}

.card:not(.cabecera) .tabla-listado-tareas table {
    margin-bottom: 0;
}

.informes-card-active .text-info {
    /*color: #f09122 !important;*/
    color: #6B1428 !important;
}

.informes-card-active .h5 {
    color: white !important;
}

.informes-card-active img {
    filter: brightness(0) invert(1);
}

.iconoRojo {
    color: #e74a3b;
}

td > a {
    color: #272b2e;
}

tfoot {
    /*color: #f6c23e;*/
    color: #004998;
}

#pnl-loading {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 ) url('../Imagenes/loader.gif') 50% 50% no-repeat;
}

#modal-pnl {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 );
}

#modalMensaje, #modalACliente {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba( 255, 255, 255, .8 );
    overflow: auto;
}

#contenidoModalMensaje, #contenidoModalACliente {
    position: relative;
    margin-top: 10%;
    margin-left: 30%;
    margin-right: 30%;
    overflow: auto;
}

#wrapper {
    height: 100vh;
}

.sidebar {
    list-style: none;
    padding-left: 0;
    width: 13.75rem;
    background-color: var(--gray-1);
    border-right: 2px solid var(--gray-2);
    margin-bottom: 0;
}

    .sidebar.sidebar-hidden {
        display: none;
    }

    .sidebar .sidebar-brand-container {
        display: grid;
        grid-template-columns: 1fr auto;
        align-items: center;
    }

    .sidebar .sidebar-brand {
        display: flex;
        height: 4rem;
        padding-left: 1rem;
    }

    .sidebar #sidebarToggle {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-left: 4.6rem;
        border-radius: 50%;
        width: 1.25rem;
        height: 1.25rem;
        background-color: rgba(81, 78, 176, 0.12);
        border: none;
        margin-right: 0.8rem;
    }

        .sidebar #sidebarToggle img {
            width: 1rem;
            height: 1rem;
        }

    .sidebar .sidebar-brand img {
        align-self: center;
        height: 24px;
        width: 93px;
    }

    .sidebar li a span {
        font-size: 14px;
        font-weight: 500;
        margin-left: 0.5rem;
    }

    .sidebar li a {
        color: var(--gray-4);
        padding-left: 0.5rem;
        margin-left: 0.25rem;
        letter-spacing: 0.4px;
        display: flex;
        align-items: center;
    }

    .sidebar li a > i.fas.fa-fw {
        width: 1.5rem;
        min-width: 1.5rem;
        font-size: 1rem;
        line-height: 1.5rem;
        color: #212529;
        text-align: center;
    }

    /* Sub anuncios */
    .sidebar li ul {
        padding-left: 1.25rem;
        list-style: none;
        position: relative;
    }

        .sidebar li ul li a {
            padding-left: 0;
        }

    .sidebar li.active {
        background-color: white;
        margin-right: 8px;
    }

        .sidebar li.active::before {
            content: '';
            position: absolute;
            margin-top: 7px;
            left: 0;
            width: 6px;
            height: 24px;
            background-color: var(--primary);
        }

        .sidebar li.active a {
            color: #212529;
        }

        .sidebar li.active img {
            filter: brightness(0) saturate(100%);
        }

        .sidebar li.active a > i.fas.fa-fw {
            color: #212529;
        }

    .sidebar span.proximamente {
        color: rgba(93, 97, 105, 0.6);
    }

    .sidebar .accordion-link {
        display: grid;
        grid-template-columns: auto 1fr auto;
    }

    /* collapsed mode */

    .sidebar.toggled {
        width: 4.5rem;
        padding-right: 10px;
    }

        .sidebar.toggled span {
            display: none;
        }

        .sidebar.toggled .sidebar-brand-container {
            margin-top: 1rem;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: 0.5rem;
        }

        .sidebar.toggled .accordion-link {
            gap: 6px;
        }

        .sidebar.toggled .sidebar-brand img {
            height: 1.375rem;
            width: 1.5rem;
        }

        .sidebar.toggled #sidebarToggle {
            margin-left: 0.4rem;
        }

        .sidebar.toggled li.active {
            margin-right: 0;
        }

.navbar {
    border-bottom: 2px solid var(--gray-2);
}

.anuncios .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

    .anuncios .header h2 {
        font-weight: 600;
        font-size: 2.125rem;
        color: var(--black-1);
    }

    .anuncios .header button {
        width: 10.0625rem;
        background-color: var(--primary);
        color: white;
        text-transform: uppercase;
        font-size: 0.75rem;
    }

.anuncios .ad-container {
    margin-top: 1.5rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(21.25rem, 1fr));
    gap: 2rem;
    margin-bottom: 1.5rem;
}

.anuncios .ad-card {
    border: 1px solid var(--gray-2);
    display: grid;
    grid-template-rows: 1fr auto;
}

    .anuncios .ad-card .ad-body {
        padding: 2rem;
        font-size: 14px;
        letter-spacing: 0.4px;
    }


    .anuncios .ad-card .ad-body {
        font-weight: 300;
        color: var(--black-1);
        line-height: 1.125rem;
        letter-spacing: 0.4px;
    }

        .anuncios .ad-card .ad-body h3 {
            font-size: 1.125rem;
            color: var(--black-1);
            font-weight: 700;
            letter-spacing: 0.4px;
        }

    .anuncios .ad-card:hover {
        cursor: pointer;
        box-shadow: 0 4px 6px 0 rgba(0, 0, 0, 0.06);
    }

        .anuncios .ad-card:hover h3 {
            color: var(--primary);
        }

    .anuncios .ad-card .ad-footer {
        border-top: 1px solid var(--gray-2);
        display: grid;
        grid-template-columns: auto 1fr auto;
        align-items: center;
        padding: 0.5625rem 1rem;
    }

        .anuncios .ad-card .ad-footer .edit-icon,
        .anuncios .ad-card .ad-footer .delete-icon {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 3.375rem;
            height: 2.125rem;
            border-radius: 6px;
        }

        .anuncios .ad-card .ad-footer .ad-admin-buttons {
            display: flex;
        }

        .anuncios .ad-card .ad-footer .ad-timestamp {
            font-size: 0.875rem;
            color: var(--gray-4);
            margin-bottom: 0;
            margin-right: 2.5rem;
        }

        .anuncios .ad-card .ad-footer .edit-icon {
            background-color: rgba(81, 78, 176, 0.10);
        }

            .anuncios .ad-card .ad-footer .edit-icon:hover {
                background-color: rgba(81, 78, 176, 0.20);
            }


        .anuncios .ad-card .ad-footer .delete-icon {
            margin-left: 0.5rem;
            background-color: rgba(196, 97, 81, 0.10);
        }

            .anuncios .ad-card .ad-footer .delete-icon:hover {
                background-color: rgba(196, 97, 81, 0.20);
            }

            .anuncios .ad-card .ad-footer .edit-icon img,
            .anuncios .ad-card .ad-footer .delete-icon img {
                width: 1.5rem;
                height: 1.5rem;
            }

        .anuncios .ad-card .ad-footer .ad-attachment {
            display: flex;
            align-items: center;
        }

            .anuncios .ad-card .ad-footer .ad-attachment p {
                margin-bottom: 0;
                margin-right: 0.5rem;
            }

/* Anuncios details */

.anuncios-detail {
    width: 33.75rem;
    margin: 0 auto;
}

    .anuncios-detail .ad-volver,
    .anuncios-update-files .ad-volver,
    .anuncios-update-scopes .ad-volver {
        display: flex;
        align-items: center;
        margin-bottom: 2rem;
    }

        .anuncios-detail .ad-volver a,
        .anuncios-update-files .ad-volver a,
        .anuncios-update-scopes .ad-volver a {
            font-size: 0.875rem;
            color: var(--gray-4);
        }

        .anuncios-detail .ad-volver img,
        .anuncios-update-files .ad-volver img,
        .anuncios-update-scopes .ad-volver img {
            margin-right: 1rem;
            height: 1.5rem;
            width: 1.5rem;
        }

    .anuncios-detail h1 {
        font-size: 2.125rem;
        font-weight: 700;
        letter-spacing: -0.2px;
        line-height: 36px;
        color: var(--black-1);
        margin-bottom: 2rem;
    }

    .anuncios-detail .ad-timestamp {
        font-size: 0.875rem;
        color: var(--gray-4);
        margin-bottom: 2rem;
    }

    .anuncios-detail .ad-content {
        font-size: 1rem;
        font-weight: 300;
        line-height: 1.5rem;
        color: var(--black-1);
        margin-bottom: 2rem;
    }

    .anuncios-detail .ad-files-list,
    .anuncios-update .ad-files-list {
        list-style: none;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        padding-left: 0;
        gap: 1rem;
        margin-bottom: 0.1rem;
    }

        .anuncios-detail .ad-files-list .ad-files-item,
        .anuncios-update .ad-files-list .ad-files-item {
            border: 1px solid var(--gray-3);
            border-radius: 6px;
            padding: 1rem 1rem;
        }

            .anuncios-detail .ad-files-list .ad-files-item a,
            .anuncios-update .ad-files-list .ad-files-item a {
                font-size: 14px;
                font-weight: 500;
                color: var(--black-1);
            }

            .anuncios-detail .ad-files-list .ad-files-item:hover a,
            .anuncios-update .ad-files-list .ad-files-item:hover a {
                color: var(--primary);
            }

            .anuncios-detail .ad-files-list .ad-files-item img,
            .anuncios-update .ad-files-list .ad-files-item img {
                margin-right: 1rem;
            }

    .anuncios-detail .ad-admin-actions {
        margin-top: 2rem;
        display: flex;
        justify-content: space-between;
    }

        .anuncios-detail .ad-admin-actions a {
            padding: 1rem 1.3125rem;
            font-size: 12px;
            font-weight: 700;
        }

    .anuncios-detail .btn.edit-icon {
        background-color: var(--primary);
        color: white;
        letter-spacing: 0.4px;
    }

    .anuncios-detail .btn.delete-icon {
        background-color: var(--red);
        color: white;
        letter-spacing: 0.4px;
    }

        .anuncios-detail .btn.edit-icon img,
        .anuncios-detail .btn.delete-icon img {
            margin-right: 0.75rem;
        }

/* Anuncios create y update */

.anuncios-create .ad-main-form,
.anuncios-update .ad-main-form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
}

.anuncios-create h1,
.anuncios-update h1 {
    text-align: center;
    font-weight: 700;
    color: var(--black-1);
    letter-spacing: -0.2px;
    font-size: 2.125rem;
}

.anuncios-create label,
.anuncios-update label,
.anuncios-update .div-as-label,
#addFileModal label {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.4px;
    color: var(--black);
    margin-top: 2rem;
}

    .anuncios-create label span {
        font-size: 1rem;
        color: red;
    }

.anuncios-create input,
.anuncios-update input,
#addFileModal input {
    border: 1px solid var(--gray-3);
    border-radius: 6px;
    height: 3.5rem;
    font-size: 0.875rem;
    font-weight: 400;
    color: var(--black-1);
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.anuncios-create textarea,
.anuncios-update textarea {
    border: 1px solid var(--gray-3);
    border-radius: 6px;
    width: 100%;
    height: 13.75rem;
    resize: none;
    font-size: 0.875rem;
    font-weight: 400;
    color: var(--black-1);
    padding: 0.5rem;
}

.anuncios-create select,
.anuncios-update-scopes select {
    border: 1px solid var(--gray-3);
    border-radius: 6px;
    width: 100%;
    height: 3.5rem;
    font-size: 0.875rem;
    font-weight: 400;
    color: var(--black-1);
    padding-left: 0.5rem;
}

.anuncios-create #businessRolesValues,
.anuncios-create #usersScopeValues {
    height: 100%;
}

.anuncios-create hr,
.anuncios-update hr {
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.anuncios-create .ad-admin-buttons,
.anuncios-update .ad-admin-buttons {
    display: flex;
    justify-content: space-between;
}

    .anuncios-create .ad-admin-buttons button,
    .anuncios-update .ad-admin-buttons button {
        height: 3.5rem;
        width: 9.375rem;
    }

    .anuncios-update .ad-admin-buttons a,
    .anuncios-create .ad-admin-buttons a {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 3.5rem;
        width: 9.375rem;
    }

    .anuncios-create .ad-admin-buttons button#SubmitButton {
        font-size: 12px;
        font-weight: 700;
        background-color: var(--primary);
        color: white;
    }

    .anuncios-update .ad-admin-buttons button#SubmitButton {
        font-size: 12px;
        font-weight: 700;
        background-color: var(--primary);
        color: white;
    }

    .anuncios-create .ad-admin-buttons .cancel-action,
    .anuncios-update .ad-admin-buttons .cancel-action {
        border: 1px solid var(--gray-3);
        font-size: 12px;
        font-weight: 700;
        color: var(--black-1);
    }

.anuncios-update .ad-visibilidad {
    margin-top: 1rem;
    font-size: 0.875rem;
    font-weight: 400;
    color: var(--black-1);
    padding-left: 0.5rem;
}

.anuncios-update .ad-files-list {
    margin-top: 0.2rem;
}

/* anuncios update files y scopes */

.anuncios-update-files {
    width: 33.75rem;
    margin: 0 auto;
}

    .anuncios-update-files h1,
    .anuncios-update-scopes h1 {
        margin-top: 1rem;
        font-size: 2.125rem;
        font-weight: 700;
        letter-spacing: -0.2px;
        line-height: 36px;
        color: var(--black-1);
        margin-bottom: 2rem;
    }

    .anuncios-update-files div-as-label {
        font-size: 14px;
        font-weight: 400;
        letter-spacing: 0.4px;
        color: var(--black);
    }

.anuncios-update-scopes .ad-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.anuncios-update-scopes .thead-primary th {
    color: white;
    background-color: var(--primary);
}

.anuncios-update-scopes .btn-primary,
.anuncios-update-files .btn-primary,
.anuncios-update .btn-primary,
#addFileModal .btn-primary {
    background-color: var(--primary);
}

.anuncios-update-files .header-with-spinner {
    display: flex;
}

.anuncios-update-files #spinner {
    padding-top: 1.0625rem;
    margin-left: 0.625rem;
}


    .anuncios-update-files #spinner img {
        width: 1.5rem;
        height: 1.5rem;
    }
/* Modal files */

#addFileModal .modal-content {
    padding: 1.5rem 4rem 4rem 4rem;
}

#addFileModal .modal-header {
    border: 0;
    padding-top: 0;
    padding-bottom: 0;
}

#addFileModal label {
    margin-top: 0;
}

#addFileModal h2 {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: -0.2px;
    color: var(--black-1);
}

#addFileModal #closeModal {
    color: var(--black-1);
}

#addFileModal #FileName {
    margin-bottom: 1.5rem;
}

#addFileModal #File {
    padding-top: 0.875rem;
}

#addFileModal .modal-footer {
    border: 0;
}

/*------------ CHECKBOX -------------*/
.toggle-switch {
    margin: 0px;
    position: relative;
}

    .toggle-switch label {
        padding: 0;
        margin: 0 !important;
    }

input.check-switch {
    display: none;
}

.toggle-switch label input + span {
    position: relative;
    display: inline-block;
    margin-right: 10px;
    width: 4rem;
    height: 2rem;
    background-color: #b5b5b5;
    border: 1px solid #eee;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    box-shadow: inset 0 0 5px #828282;
}

    .toggle-switch label input + span[disabled] {
        opacity: 0.3;
    }

    .toggle-switch label input + span small {
        position: absolute;
        display: block;
        width: 1.8rem;
        height: 1.5rem;
        border-radius: 1.875rem;
        background: #fff;
        transition: all 0.3s ease-in-out;
        top: 0.2rem;
        left: 0.2rem;
    }

.toggle-switch label input:checked + span {
    background-color: #4e73df;
}

    .toggle-switch label input:checked + span small {
        left: 1.9rem;
        transition: left .25s;
    }



    .toggle-switch label input:checked + span:after {
        opacity: 1;
    }

/*------Switch Small------*/

.toggle-switch.small label input + span {
    position: relative;
    display: inline-block;
    margin-right: 10px;
    width: 2rem;
    height: 1.2rem;
    background: #b5b5b5;
    border: 1px solid #eee;
    border-radius: 50px;
    transition: all 0.3s ease-in-out;
    box-shadow: inset 0 0 5px #828282;
}

    .toggle-switch.small label input + span small {
        position: absolute;
        display: block;
        width: 0.8rem;
        height: 0.7rem;
        border-radius: 1.875rem;
        background: #fff;
        transition: all 0.3s ease-in-out;
        top: 0.2rem;
        left: 0.2rem;
    }

.toggle-switch.small label input:checked + span small {
    left: 0.9rem;
    transition: left .25s;
}

.toggle-switch.small label input:checked + span {
    background-color: #4e73df;
}

.toggle-switch label input:checked + span:after {
    opacity: 1;
}

.eci-admin-container {
    margin: 1%;
}

.eci-admin-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 12px;
    flex-wrap: wrap;
}

.eci-admin-title {
    margin: 0;
    font-weight: 700;
    color: var(--primary);
}

.eci-admin-actions {
    display: flex;
    align-items: center;
    gap: 12px;
}

.eci-admin-export-actions {
    display: flex;
    align-items: center;
    gap: 8px;
    padding-right: 12px;
    border-right: 1px solid #dee2e6;
}

.eci-admin-export-actions .btn {
    width: auto;
    height: auto;
    padding: 0;
}

.eci-admin-export-actions img {
    height: 25px;
}

.eci-admin-create-btn {
    width: auto;
    height: auto;
    background-color: #343a40 !important;
    border: 1px solid #343a40 !important;
    color: #fff !important;
}

.btn.eci-admin-create-btn:hover,
.btn.eci-admin-create-btn:focus {
    background-color: #23272b !important;
    border-color: #23272b !important;
    color: #fff !important;
}
